Bug 402161 - Typo (btcrl) in virtualisation guide.
Typo (btcrl) in virtualisation guide.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Virtualization_Guide (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Christopher Curran
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-27 23:50 EST by Norm Murray
Modified: 2010-10-22 16:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-30 21:01:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2007-11-27 23:50:24 EST
Description of problem:

In section 19.4 of the online Virutalization document, there are errors
concerning the brctl command.  First the doc lists it as "brtctl" and then goes
on to use it in examples at "btctl".

btctl is the bluetooth control daemon.

Version-Release number of selected component (if applicable):

https://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Virtualization-en-US/ch-virt-troubleshoot-tools.html

How reproducible:
Reference is made to brctl; however, in the example the command given is
incorrectly spelled, btcrl.

See the command example:

btcrl showmacs xenbr0

Which should read:

brctl showstp xenbr0
Comment 1 Michael Hideo 2007-11-28 02:06:50 EST
Changing owner to Don to address
Comment 2 Don Domingo 2007-11-28 17:28:55 EST
just to verify: is "btctl" correct? 
Comment 3 Wade Mealing 2007-11-28 19:12:29 EST
The command in question:

# brctl 
Usage: brctl [commands]
commands:
        addbr           <bridge>                add bridge
        delbr           <bridge>                delete bridge
        addif           <bridge> <device>       add interface to bridge
        delif           <bridge> <device>       delete interface from bridge
        setageing       <bridge> <time>         set ageing time
        setbridgeprio   <bridge> <prio>         set bridge priority
        setfd           <bridge> <time>         set bridge forward delay
        sethello        <bridge> <time>         set hello time
        setmaxage       <bridge> <time>         set max message age
        setpathcost     <bridge> <port> <cost>  set path cost
        setportprio     <bridge> <port> <prio>  set port priority
        show                                    show a list of bridges
        showmacs        <bridge>                show a list of mac addrs
        showstp         <bridge>                show bridge stp info
        stp             <bridge> {on|off}       turn stp on/off
Comment 4 Don Domingo 2008-01-20 19:59:53 EST
fix applied to RHEL5.0, 5.1, and 5.2 source trees. will build and update soon.

Note You need to log in before you can comment on or make changes to this bug.